Subject: bug#26795: gnu: emacs-ag: Propagate the-silver-searcher.

From: Clément Lassieur <[email-masked]>
Date: Sat, 06 May 2017 11:04:22 +0200

Hi,

emacs-ag is mostly unusable via Tramp (except if the
'the-silver-searcher' store element is also in the remote system, which
will never happen if the remote system is not running Guix).

I believe 'the-silver-searcher' should be propagated, and the executable
should be 'ag' (which is the default value) instead of
'/gnu/store/...-the-silver-searcher-1.0.2/bin/ag', so that it can be
found on remote systems.